- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Allows management of multiple questions.
HTTP request
POST https://retail.googleapis.com/v2/{parent=projects/*/locations/*/catalogs/*}/generativeQuestion:batchUpdate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Optional. Resource name of the parent catalog. Format: projects/{project}/locations/{location}/catalogs/{catalog} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The updates question configs. |
Response body
Aggregated response for UpdateGenerativeQuestionConfig method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"generativeQuestionConfigs": [
{
object ( |
| Fields | |
|---|---|
generativeQuestionConfigs[] |
Optional. The updates question configs. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
retail.catalogs.update
For more information, see the IAM documentation.